EnKash Developer Portal
Home
Home
Login
  1. E-Collect
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • UPI Intent Links
    • Get Dynamic UPI QR
    • Create Order
    • Get Order Status
    • Get Order By Merchant Order Id
    • Get BNPL Payment Methods
    • Search Order
  • Payment
    • Get Transaction Status
    • Submit Payment Request
    • Payment Notify Request
    • Verify UPI VPA
    • Validate OTP
    • Get UPI Transaction Status
    • Resend OTP
    • Search Transaction
  • Refund
    • Refund
    • Get Refund Transaction Status
    • Refund Webhook Request
  • Settlement
    • Get Settlement Payout By ID
    • Search Settlement Payouts
  • Split Settlement
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Submit Payment with Split Details
    • Activate Split Settlement Account
    • Edit Or Deferred Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get IntentLink/QrCode with Split details
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
    • Get UPI QR
    • Search UPI QR
    • Create Customer
    • Search Customer
    • Cancel UPI QR
  • UPI Autopay
    • Mocking & Simulator (UAT)
    • Create UPI Mandate
    • Update UPI Mandate
    • Revoke UPI Mandate
    • Get UPI Mandate
    • UPI Mandate Callback
    • Mandate Pre-debit Notification
    • Execute Mandate Debit
    • Mandate Debit Callback
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
    • Get Payment Link Details
    • Delete Payment Link
    • Webhook Request
  • E-Collect
    • Create Virtual Account
      POST
    • View Virtual Account by Id
      GET
    • Update Virtual Account
      PATCH
    • View Virtual Account by Account Number
      GET
    • Search Virtual Account
      POST
    • Search Transactions
      POST
    • View Virtual Account by Customer Reference Id
      GET
  1. E-Collect

Search Transactions

POST
/api/v0/merchant-virtual-account/transactions/search
Use this API to search and retrieve transactions associated with virtual accounts. Filter results by transaction ID, status, payment mode, amount range, date ranges, settlement status, and more. The product code is automatically scoped to VIRTUAL_ACCOUNT. Supports pagination to control the number of records returned.

Request

Query Params

Header Params

Body Params application/jsonRequired

Example
{
  "transactionIds": [
    "string"
  ],
  "amountFrom": 0.01,
  "amountTo": 0.01,
  "status": "CREATED",
  "settlementStatus": "PENDING",
  "type": "SALE",
  "bankTransactionId": "string",
  "paymentMode": "NET_BANKING",
  "customerEmail": "string",
  "customerPhone": "string",
  "txnDateFrom": "2026-05-01 10:30:00",
  "txnDateTo": "2026-05-01 10:30:00"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://olympus-pg-uat.enkash.in/api/v0/merchant-virtual-account/transactions/search?offset=0&limit=5000&orderBy=id&direction=DESC' \
--header 'Authorization: Bearer jIR6lhjFvimVkjNUMEhPWpsnCiI' \
--header 'Content-Type: application/json' \
--data '{
  "transactionIds": [
    "string"
  ],
  "amountFrom": 0.01,
  "amountTo": 0.01,
  "status": "CREATED",
  "settlementStatus": "PENDING",
  "type": "SALE",
  "bankTransactionId": "string",
  "paymentMode": "NET_BANKING",
  "customerEmail": "string",
  "customerPhone": "string",
  "txnDateFrom": "2026-05-01 10:30:00",
  "txnDateTo": "2026-05-01 10:30:00"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
  "response_code": 0,
  "response_message": "SUCCESS",
  "payload": {
    "recordsCount": 10,
    "data": [
      {
        "transactionId": "txn_001",
        "created": "2026-05-01 10:30:00",
        "lastModified": "2026-05-01 10:35:00",
        "orderId": "ord_001",
        "merchantUniqueId": 1001,
        "merchantOrderId": "ORD123",
        "merchantIdentifierKey": "mik_abc",
        "type": "SALE",
        "finalAmount": 5000.00,
        "surcharge": 50.00,
        "surchargeGst": 9.00,
        "amount": 5000.00,
        "currency": "INR",
        "returnUrl": "https://merchant.com/return",
        "notifyUrl": "https://merchant.com/notify",
        "status": "SUCCESS",
        "requestSource": "API",
        "customerInfo": {
          "firstName": "John",
          "phoneNumber": "9876543210",
          "email": "john@example.com"
        },
        "paymentDetailBean": {
          "paymentMode": "UPI",
          "bankName": "RBL Bank",
          "cardScheme": null,
          "accountNumber": "9876543210123",
          "ifsc": "SBIN0001234"
        },
        "bankResponse": {
          "bankTransactionId": "BANK123456"
        },
        "invoices": [],
        "consentTransaction": false,
        "txnMessage": null,
        "bankCard": false,
        "txnDate": "2026-05-01 10:30:00",
        "linkedTransactions": [],
        "settlementTransaction": {
          "settlementTransactionId": "stxn_001",
          "charges": 25.00,
          "taxAmount": 4.50,
          "settlementAmount": 4970.50,
          "settlementStatus": "APPROVED"
        },
        "settlementPayout": {
          "payoutStatus": "PAID",
          "payoutDate": "2026-05-03 12:00:00",
          "utr": "UTR123456789"
        },
        "parentTransactionId": null,
        "merchantName": "Test Merchant",
        "productId": "prod_001",
        "productCode": "VIRTUAL_ACCOUNT",
        "pgPartnerTransactionId": "PG_TXN_001"
      }
    ]
  }
}
Modified at 2026-06-03 05:26:09
Previous
Search Virtual Account
Next
View Virtual Account by Customer Reference Id
Built with